@use 'mixins' as *;
@use 'variables' as *;

.addon-list-empty {
	// Center
	display: flex;
	flex-flow: column nowrap;
	align-items: center;
	justify-content: center;

	color: $white;
	margin: 32px;
}

.addon-list {
	display: grid;

	// Scroll
	overflow-x: auto;
	@include scrollbar-defaults();

	min-width: 100%;
	grid-template-columns:
		min-content // Actions
		minmax(150px, 3fr) // Addon
		minmax(50px, 1fr) // Version
		minmax(150px, 2fr) // Last Updated
		minmax(100px, 2fr) // Source
		minmax(150px, 2fr) // Author
		min-content; // Actions

	thead, tbody, tr {
		display: contents;
	}

	th, td {
		padding: 15px;
		overflow: hidden;
		text-overflow: ellipsis;
		white-space: nowrap;

		display: flex;
		flex-flow: row nowrap;
		align-items: center;
		justify-content: left;
	}

	th {
		position: sticky;
		top: 0;
		background: $blueC;
		text-align: left;
		font-weight: normal;
		color: $white;
	}

	td {
		// padding: 10px 0px;
		color: $white;
		background: $blackA;
	}

	tr:nth-child(even) td {
		background: $blackB;
	}

	&__actions {
		display: flex;
		flex-flow: row nowrap;
		align-items: center;
		justify-content: left;
		column-gap: 4px;

		&--left {
			.iwdr-Button {
				min-width: 80px;
			}
		}

		.iwdr-Button {
			flex: 1;
		}
	}
}
